Skip to content

List Security Groups

GET
/notebooks/{Instance_id}/security-groups/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/security-groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns all Security Groups attached to the Instance or Virtual Machine.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

List of Security Groups attached to the Instance or Virtual Machine

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string

Example

{
"code": 200,
"data": [
{
"id": 45,
"name": "allow-ssh",
"description": "Allows inbound SSH on port 22"
}
]
}